#include <ESP8266mDNS.h>
#include <ESP8266mDNS_Legacy.h>
#include <LEAmDNS.h>
#include <LEAmDNS_lwIPdefs.h>
#include <LEAmDNS_Priv.h>
#include <BearSSLHelpers.h>
#include <CertStoreBearSSL.h>
#include <ESP8266WiFi.h>
#include <ESP8266WiFiAP.h>
#include <ESP8266WiFiGeneric.h>
#include <ESP8266WiFiMulti.h>
#include <ESP8266WiFiScan.h>
#include <ESP8266WiFiSTA.h>
#include <ESP8266WiFiType.h>
#include <WiFiClient.h>
#include <WiFiClientSecure.h>
#include <WiFiClientSecureAxTLS.h>
#include <WiFiClientSecureBearSSL.h>
#include <WiFiServer.h>
#include <WiFiServerSecure.h>
#include <WiFiServerSecureAxTLS.h>
#include <WiFiServerSecureBearSSL.h>
#include <WiFiUdp.h>
#include <ESP8266WiFiMesh.h>
#include <NetworkInfo.h>
#include <TransmissionResult.h>
#include <TypeConversionFunctions.h>
#include "settings.h"
#include <ESP8266MQTTMesh.h>
#include <FS.h>
wifi_conn    networks[] = {WIFI_CONN(wifi_ssid, wifi_password, NULL, 0),NULL};
//    |----------------------------------|
//    |            SIWAT INC             |
//    |----------------------------------|
String ID  = String(ESP.getChipId());
unsigned long previousMillis = 0;
const long interval = 5000;
int cnt = 0;
ESP8266MQTTMesh mesh = ESP8266MQTTMesh::Builder(networks, mqtt_server, mqtt_port).setMqttAuth(mqtt_user, mqtt_password).setVersion(FIRMWARE_VER, FIRMWARE_ID).setMeshPassword(mesh_password).setMeshSSID(mesh_ssid).build();
void callback(const char *topic, const char *msg);
void setup() {
    Serial.begin(115200);
    Serial.print("Loading . . .");
    delay(1000);
    mesh.setCallback(callback);
    mesh.begin();
}


void loop() {
    if (! mesh.connected())return;
    unsigned long currentMillis = millis();
    if (currentMillis - previousMillis >= interval) {
          mesh.publish("/test","test");
          previousMillis = currentMillis;
          cnt++;
    }
}
void callback(const char *topic, const char *msg) {
  Serial.print(topic);
  Serial.print(msg);
}
